Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class LinkNode

    java.lang.Object
      org.apache.slide.structure.ObjectNode
          org.apache.slide.structure.LinkNode

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class LinkNode
extends ObjectNode

Link node class.

Version:
  $Revision: 1.8 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.slide.structure.ObjectNode
`ObjectNode.Binding, ObjectNode.BindingList, ObjectNode.ParentBinding, ObjectNode.ParentBindingList`

Field Summary
`protected java.lang.String` | `linkedUri` Linked Uri

Fields inherited from class org.apache.slide.structure.ObjectNode
`uri`

Constructor Summary
`LinkNode()` Constructor.
`LinkNode(java.lang.String uri)` Default constructor.
`LinkNode(java.lang.String uri, java.util.Vector children, java.util.Vector links)` Default constructor.
`LinkNode(java.lang.String uri, java.util.Vector children, java.util.Vector links, java.lang.String linkedUri)` Default constructor.

Method Summary
`java.lang.String` | `getLinkedUri()` Get linked Uri.
`(package private) void` | `setLinkedUri(java.lang.String linkedUri)` Set linked Uri.
`void` | `validate(java.lang.String expectedUri)` Validate an ObjectNode.

Methods inherited from class org.apache.slide.structure.ObjectNode
`addBinding, addChild, addLink, addParentBinding, cloneObject, copyObject, enumerateBindings, enumerateChildren, enumerateLinks, enumerateParentBindings, equals, getBindingUuri, getChildren, getPath, getUpdatedBindings, getUri, getUuri, hasBinding, hasBinding, hasChild, hasChild, hasChildren, hashCode, hasLinks, hasParentBinding, numberOfParentBindings, removeChild, removeLink, resetUpdatedBindings, setUri, setUuri, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### linkedUri

    protected java.lang.String linkedUri

  Linked Uri

Constructor Detail

### LinkNode

    public LinkNode()

  Constructor.

### LinkNode

    public LinkNode(java.lang.String uri)

  Default constructor.

### LinkNode

    public LinkNode(java.lang.String uri,
                    java.util.Vector children,
                    java.util.Vector links)

  Default constructor.

### LinkNode

    public LinkNode(java.lang.String uri,
                    java.util.Vector children,
                    java.util.Vector links,
                    java.lang.String linkedUri)

  Default constructor.

Method Detail

### getLinkedUri

    public java.lang.String getLinkedUri()

  Get linked Uri.

  Returns:
    String Linked Uri

### setLinkedUri

    void setLinkedUri(java.lang.String linkedUri)

  Set linked Uri.

  Parameters:
    `linkedUri` - New linked Uri

### validate

    public void validate(java.lang.String expectedUri)

  Validate an ObjectNode.

  Overrides:
    `validate` in class `ObjectNode`
  Parameters:
    `expectedUri` - Uri

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD